using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
    public class PFBtnMap : APTEntityBaseMap<T_PF_BTN>
    {
        public override void Configure(EntityTypeBuilder<T_PF_BTN> builder)
        {
            base.Configure(builder);
            builder.Property(t => t.ICON)
                .HasMaxLength(50);
            builder.Property(t => t.INPUT_SAVE_FIELD)
                .HasMaxLength(150);
            builder.Property(t => t.INPUT_NAV_FIELD)
                .HasMaxLength(150);

            builder.Property(t => t.CSS)
               .HasMaxLength(100);

            builder.Property(t => t.LABEL)
              .HasMaxLength(64);

            builder.Property(t => t.CLICK_EVENT)
           .HasMaxLength(64);
            builder.Property(t => t.BTN_CONDITION)
       .HasMaxLength(200);
            builder.Property(t => t.CODE)
  .HasMaxLength(20);
            builder.Property(t => t.FORM_CODE)
          .HasMaxLength(20);
            builder.Property(t => t.WORD_TEMPLATE_CODE)
      .HasMaxLength(20);
            builder.Property(t => t.CUSTOM_PARAMS).HasMaxLength(200);
            builder.Property(t => t.API_URL).HasMaxLength(200);
        }

    }
}
